%{?nodejs_find_provides_and_requires}

%global packagename static-extend
%global enable_tests 1

Name:		nodejs-static-extend
Version:	0.1.2
Release:	5%{?dist}
Summary:	Adds a static "extend" method to a class, to simplify inheritance

License:	MIT
URL:		https://github.com/jonschlinkert/static-extend
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/test.js
# README
Source2:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/README.md
# Source3 is generated by running Source10, which pulls from the upstream
# version control repository.
Source3:	fixtures-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(object-copy)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Adds a static `extend` method to a class, to simplify inheritance. Extends the
static properties, prototype properties, and descriptors from a `Parent`
constructor onto `Child` constructors.


%prep
%autosetup -n package
# setup the tests and readme file
cp -p %{SOURCE1} .
cp -p %{SOURCE2} .
# setup the test fixtures
%autosetup -T -D -a 3 -n package

%nodejs_fixdep define-property

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Aug 18 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-2
- Relax dependency on npm(define-property)

* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.2-1
- Initial packaging
